#define InitWinDll
//InitWinDll(Path of DLL) - Initiates the DLL.
//                          Must be called before any other function.

var dll;
if is_real(argument0) {
    dll = 'WindowDLL.dll';
} else {
    dll = argument0;
}
if !file_exists(dll) {
    show_error("The dll specified doesn't exist.",1);
}

//Window Stuff
global._MessageBox = external_define(dll,'GM_MessageBox_',dll_cdecl,ty_real,4,ty_real,ty_string,ty_string,ty_real);
global._SYS_BEEP = external_define(dll,'GM_SystemBeep_',dll_cdecl,ty_real,2,ty_real,ty_real);
global._TILE_WINDOWS = external_define(dll,'GM_TileWindows_',dll_cdecl,ty_real,1,ty_real);
global._MAXIMIZE = external_define(dll,'GM_Maximize_Window_',dll_cdecl,ty_real,1,ty_real);
global._MINIMIZE = external_define(dll,'GM_Minimize_Window_',dll_cdecl,ty_real,1,ty_real);
global._HIDE = external_define(dll,'GM_Hide_Window_',dll_cdecl,ty_real,1,ty_real);
global._SHOW = external_define(dll,'GM_Show_Window_',dll_cdecl,ty_real,1,ty_real);
global._RESTORE = external_define(dll,'GM_Restore_Window_',dll_cdecl,ty_real,1,ty_real);
global._OPEN_ICON = external_define(dll,'GM_OpenIcon_',dll_cdecl,ty_real,1,ty_real);
global._GET_CHILD = external_define(dll,'GM_Get_Child_',dll_cdecl,ty_real,1,ty_real);
global._GET_PARENT = external_define(dll,'GM_Get_Parent_',dll_cdecl,ty_real,1,ty_real);
global._GET_ROOT = external_define(dll,'GM_Get_Root_',dll_cdecl,ty_real,1,ty_real);
global._GET_OWNER = external_define(dll,'GM_Get_Owner_',dll_cdecl,ty_real,1,ty_real);
global._GET_ROOTOWNER = external_define(dll,'GM_Get_RootOwner_',dll_cdecl,ty_real,1,ty_real);
global._SET_PARENT = external_define(dll,'GM_SetParent_Window',dll_cdecl,ty_real,2,ty_real,ty_real);
global._EMBED = external_define(dll,'GM_Embed_Window_',dll_cdecl,ty_real,2,ty_real,ty_real);
global._UNEMBED = external_define(dll,'GM_UnEmbed_Window_',dll_cdecl,ty_real,1,ty_real);
global._SET_FOREGROUND = external_define(dll,'GM_SetForeground_Window_',dll_cdecl,ty_real,1,ty_real);
global._GET_FOREGROUND = external_define(dll,'GM_GetForeground_Window_',dll_cdecl,ty_real,0);
global._IS_VISIBLE = external_define(dll,'GM_IsVisible_Window_',dll_cdecl,ty_real,1,ty_real);
global._FIND_WINDOW = external_define(dll,'GM_FindWindow_',dll_cdecl,ty_real,1,ty_string);
global._FORCE_TO_TOP = external_define(dll,'GM_Window_ForcetoTop_',dll_cdecl,ty_real,1,ty_real);
global._IF_EXISTS = external_define(dll,'GM_Exists_Window_',dll_cdecl,ty_real,1,ty_real);
global._IS_MAXIMIZED = external_define(dll,'GM_IsMaximized_',dll_cdecl,ty_real,1,ty_real);
global._IS_MINIMIZED = external_define(dll,'GM_IsMinimized_',dll_cdecl,ty_real,1,ty_real);
global._SET_FOCUS = external_define(dll,'GM_SetFocus_',dll_cdecl,ty_real,1,ty_real);
global._GET_FOCUS = external_define(dll,'GM_GetFocus_',dll_cdecl,ty_real,0);
global._ENABLE_WINDOW = external_define(dll,'GM_EnableWindow_',dll_cdecl,ty_real,2,ty_real,ty_real);
global._RESET_WINDOW = external_define(dll,'GM_Reset_Window_',dll_cdecl,ty_real,5,ty_real,ty_real,ty_real,ty_real,ty_real);
global._WINATPOINT = external_define(dll,'GM_WinAtPoint_',dll_cdecl,ty_real,2,ty_real,ty_real);
global._GET_WINTEXT = external_define(dll,'GM_GetWindowText_',dll_cdecl,ty_string,1,ty_real);
global._SET_WINTEXT = external_define(dll,'GM_SetWindowText_',dll_cdecl,ty_real,2,ty_real,ty_string);
global._DESTROY_WIN = external_define(dll,'GM_Destroy_Window_',dll_cdecl,ty_real,1,ty_real);
global._DISABLE_CLOSE = external_define(dll,'GM_DisableClose_',dll_cdecl,ty_real,1,ty_real);
global._ENABLE_CLOSE = external_define(dll,'GM_EnableClose_',dll_cdecl,ty_real,1,ty_real);
global._CREATE_BUTTON = external_define(dll,'GM_ButtonCreate_',dll_cdecl,ty_real,5,ty_real,ty_real,ty_real,ty_real,ty_real);
global._GET_BUTTON = external_define(dll,'GM_ButtonState_',dll_cdecl,ty_real,1,ty_real);
global._SIM_LEFT = external_define(dll,'GM_SimulateLeft_',dll_cdecl,ty_real,1,ty_real);
global._SIM_RIGHT = external_define(dll,'GM_SimulateRight_',dll_cdecl,ty_real,1,ty_real);
global._SET_CUR_POS = external_define(dll,'GM_SetCursorPos_',dll_cdecl,ty_real,2,ty_real,ty_real);
global._BRING_TO_TOP = external_define(dll,'GM_BringToTop_',dll_cdecl,ty_real,1,ty_string);
global._IS_CHILD = external_define(dll,'GM_IsChild_',dll_cdecl,ty_real,2,ty_real,ty_real);
global._GET_DESKTOP = external_define(dll,'GM_GetDesktopHandle_',dll_cdecl,ty_real,0);
global._GET_ACTIVE = external_define(dll,'GM_GetActiveWindow_',dll_cdecl,ty_real,0);
global._SET_ACTIVE = external_define(dll,'GM_SetActiveWindow_',dll_cdecl,ty_real,1,ty_real);
global._GET_WIN_X = external_define(dll,'GM_GetWinX_',dll_cdecl,ty_real,1,ty_real);
global._GET_WIN_Y = external_define(dll,'GM_GetWinY_',dll_cdecl,ty_real,1,ty_real);
global._TASKBAR_FLASH = external_define(dll,'GM_FlashTaskbarButton_',dll_cdecl,ty_real,2,ty_real,ty_real);
global._GET_WIN_WIDTH = external_define(dll,'GM_GetWinWidth_',dll_cdecl,ty_real,1,ty_real);
global._GET_WIN_HEIGHT = external_define(dll,'GM_GetWinHeight_',dll_cdecl,ty_real,1,ty_real);
global._TASKBAR_HIDE = external_define(dll,"GM_TaskbarHide_",dll_cdecl,ty_real,1,ty_real);
global._TASKBAR_SHOW = external_define(dll,"GM_TaskbarShow_",dll_cdecl,ty_real,0);
global._HAS_MOUSEWHEEL = external_define(dll,'GM_GetScrollWheel_',dll_cdecl,ty_real,0);
//Menus and Menu Bars.
global._INIT_MENUS = external_define(dll,"GM_InitMenus_",dll_cdecl,ty_real,1,ty_real);
global._GET_ITEM_COUNT = external_define(dll,"GM_GetItemCount_",dll_cdecl,ty_real,1,ty_real);
global._IS_MENU = external_define(dll,"GM_IsMenu_",dll_cdecl,ty_real,1,ty_real);
global._REDRAW_MENU = external_define(dll,"GM_RedrawMenu_",dll_cdecl,ty_real,0);
global._HILITE_ITEM = external_define(dll,"GM_HiliteItem_",dll_cdecl,ty_real,3,ty_real,ty_real,ty_real);
global._CREATE_MENBAR = external_define(dll,"GM_MenBarCreate_",dll_cdecl,ty_real,0);
global._GET_BAR_HEIGHT = external_define(dll,"GM_GetBarHeight_",dll_cdecl,ty_real,0);
global._ATTACH_MENBAR = external_define(dll,"GM_AttatchBar_",dll_cdecl,ty_real,1,ty_real);
global._DESTROY_MEN = external_define(dll,"GM_MenDestroy_",dll_cdecl,ty_real,1,ty_real);
global._CREATE_MEN = external_define(dll,"GM_MenCreate_",dll_cdecl,ty_real,0);
global._REMOVE_MEN = external_define(dll,"GM_MenRemove_",dll_cdecl,ty_real,1,ty_real);
global._DESTROY_MENBAR = external_define(dll,"GM_MenBarDestroy_",dll_cdecl,ty_real,0);
global._REMOVE_MENBAR = external_define(dll,"GM_MenBarRemove_",dll_cdecl,ty_real,0);
global._ADD_MENU = external_define(dll,"GM_AddMenu_",dll_cdecl,ty_real,3,ty_real,ty_real,ty_string);
global._ADD_ITEM = external_define(dll,"GM_AddItem_",dll_cdecl,ty_real,2,ty_real,ty_string);
global._ADD_SEPERATOR = external_define(dll,"GM_AddSep_",dll_cdecl,ty_real,1,ty_real);
global._CHECK_ITEM = external_define(dll,"GM_CheckItem_",dll_cdecl,ty_real,3,ty_real,ty_real,ty_real);
global._CHECK_RAD_ITEM = external_define(dll,"GM_CheckRadItem_",dll_cdecl,ty_real,4,ty_real,ty_real,ty_real,ty_real);
global._POPUP_MEN = external_define(dll,"GM_Popup_",dll_cdecl,ty_real,5,ty_real,ty_real,ty_real,ty_real,ty_real);
global._LOAD_BMP = external_define(dll,"GM_LoadBMP",dll_cdecl,ty_real,1,ty_string);
global._REMOVE_BMP_FROM_ITEM = external_define(dll,"GM_RemoveBitmap_",dll_cdecl,ty_real,2,ty_real,ty_real);
global._REMOVE_BMP_FULL = external_define(dll,"GM_RemoveFullBitmap_",dll_cdecl,ty_real,2,ty_real,ty_real);
global._BMP_MEN_ITEM = external_define(dll,"GM_BitmapItem_",dll_cdecl,ty_real,3,ty_real,ty_real,ty_real);
global._BMP_NEW_FULL = external_define(dll,"GM_BMP_Add_Full_",dll_cdecl,ty_real,2,ty_real,ty_real);
global._BMP_EXISTS_FULL = external_define(dll,"GM_BMP_Full_",dll_cdecl,ty_real,3,ty_real,ty_real,ty_real);
global._BMP_CHECKS_ITEM = external_define(dll,"GM_ChecksBMP_",dll_cdecl,ty_real,4,ty_real,ty_real,ty_real,ty_real);
global._ENABLE_ITEM = external_define(dll,"GM_EnableItem_",dll_cdecl,ty_real,3,ty_real,ty_real,ty_real);
global._SET_ITEM_TEXT = external_define(dll,"GM_SetItemText_",dll_cdecl,ty_real,3,ty_real,ty_real,ty_string);
global._GET_ITEM_TEXT = external_define(dll,"GM_GetItemText_",dll_cdecl,ty_string,2,ty_real,ty_real);
global._CHECK_MENUS = external_define(dll,"GM_CheckMenus_",dll_cdecl,ty_real,0);
global._CLEANMENUS = external_define(dll,"GM_Clean_Menus_",dll_cdecl,ty_real,0);
global._SET_DEFAULT = external_define(dll,"GM_SetDefaultItem_",dll_cdecl,ty_real,2,ty_real,ty_real);
global._GET_DEFAULT = external_define(dll,"GM_GetDefaultItem_",dll_cdecl,ty_real,1,ty_real);
global._REMOVE_ITEM = external_define(dll,"GM_RemoveItem_",dll_cdecl,ty_real,2,ty_real,ty_real);
global._REMOVE_ALL = external_define(dll,"GM_RemoveAll_",dll_cdecl,ty_real,1,ty_real);
global._REMOVE_ITEM_LAST = external_define(dll,"GM_RemoveItemLast_",dll_cdecl,ty_real,1,ty_real);
global._ITEM_DELETE = external_define(dll,"GM_DestroyItem_",dll_cdecl,ty_real,2,ty_real,ty_real);
global._DELETE_ALL = external_define(dll,"GM_DestroyAll_",dll_cdecl,ty_real,1,ty_real);
global._DELETE_ITEM_LAST = external_define(dll,"GM_DestroyItemLast_",dll_cdecl,ty_real,1,ty_real);
global._IS_CHECKED = external_define(dll,"GM_GetItemChecked_",dll_cdecl,ty_real,2,ty_real,ty_real);
global._IS_DISABLED = external_define(dll,"GM_GetItemDisabled_",dll_cdecl,ty_real,2,ty_real,ty_real);
#define window_bring_to_top
//window_bring_to_top(hWnd) - If the window is active, it will be
//                            brought above all the other windows.
return external_call(global._BRING_TO_TOP,argument0);
#define window_close_disable
//window_close_disable(hWnd) - Disables the close button on the hWnd.
return external_call(global._DISABLE_CLOSE,argument0);
#define window_close_enable
//window_close_enable(hWnd) - Enables the close button on the hWnd.
return external_call(global._ENABLE_CLOSE,argument0);
#define window_destroy
//window_destroy(hWnd) - Destroys the given window, but doesn't end
//                       its process.
return external_call(global._DESTROY_WIN,argument0);
#define window_embed
//window_embed(hWnd) - Embeds a window into the GM window.
return external_call(global._EMBED,argument0,window_handle());
#define window_enable
//window_enable(hWnd, True or False) - Enables or disables a window.
return external_call(global._ENABLE_WINDOW,argument0,argument1);
#define window_focus_get
//window_focus_get(hWnd) - Retrieves the handle of the window that
//                         currently has focus.
return external_call(global._GET_FOCUS);
#define window_focus_set
//window_focus_set(hWnd) - Sets the keyboard and mouse input to the
//                         specified window.
return external_call(global._SET_FOCUS,argument0);
#define window_force_to_top
//window_force_to_top(hWnd) - Brings a window to the top, even if it isn't
//                            responding.
return external_call(global._FORCE_TO_TOP,argument0);
#define window_foreground_get
//window_foreground_get() - Retrieves the handle of the foreground window.
return external_call(global._GET_FOREGROUND);
#define window_foreground_set
//window_foreground_set(hWnd) - The window_foreground_set function puts the
//                              thread that created the specified window 
//                              into the foreground and activates the window.
//                              Keyboard input is directed to the window,
//                              and various visual cues are changed for the
//                              user. The system assigns a slightly higher
//                              priority to the thread that created the
//                              foreground window than it does to other
//                              threads.
return external_call(global._SET_FOREGROUND,argument0);
#define window_get_active
//window_get_active()
// Returns the handle to the window that is currently active.
return external_call(global._GET_ACTIVE);
#define window_get_desktop_handle
//window_get_desktop_handle()
// Returns the handle to the desktop window.
return external_call(global._GET_DESKTOP);
#define window_hide
//window_hide(hWnd) - Hides a window. If window_is_visible is called,
//                    it will return false. To return the window,
//                    use either window_show or window_restore.
return external_call(global._HIDE,argument0);
#define window_maximize
//window_maximize(hWnd) - Maximizes a window and returns whether it was
//                          successful or not.
return external_call(global._MAXIMIZE,argument0);
#define window_minimize
//window_minimize(hWnd) - Minimizes a window and returns whether it was
//                          successful or not. For the Game Maker window,
//                          use window_get_owner(window_handle()) as the
//                          window.
return external_call(global._MINIMIZE,argument0);
#define window_move
//window_move(hWnd, x, y, width, height)
return external_call(global._RESET_WINDOW,argument0,argument1,argument2,argument3,argument4);
#define window_parent_get
//window_parent_get(hWnd) - Returns the handle of the parent window
//                          of the specified child.
return external_call(global._GET_PARENT,argument0);
#define window_parent_set
//window_parent_set(child,newParent) - The window_parent_set function
//                                  sets the parent window of the 
//                                  specified child window.
return external_call(global._SET_PARENT,argument0,argument1);
#define window_restore
//window_restore(hWnd) - Returns the windows original state.
//                      (Maximized, normal, etc.) Call after
//                       Either Minimize or Maximize to return the window
//                       to normal.
return external_call(global._RESTORE,argument0);
#define window_set_active
//window_set_active(hWnd)
// Sets the active window to the given handle.
return external_call(global._SET_ACTIVE,argument0);
#define window_show
//window_show(hWnd) - Returns a windows visibility. It does not set the
//                    focus or bring it to the top.
return external_call(global._SHOW,argument0);
#define window_text_get
//window_text_get(hwnd) - Returns the caption of hWnd.
return external_call(global._GET_WINTEXT,argument0);
#define window_text_set
//window_text_set(hwnd, string) - Sets the caption of hWnd to string.
return external_call(global._SET_WINTEXT,argument0,argument1);
#define window_unembed
//window_unembed(hWnd) - Returns the window's parent to the Desktop
return external_call(global._UNEMBED,argument0);
#define window_x
//window_x(hWnd) returns the x value of the window (left)
return external_call(global._GET_WIN_X,argument0);
#define window_y
//window_x(hWnd) returns the x value of the window (left)
return external_call(global._GET_WIN_Y,argument0);
#define window_width
//window_width(hWnd) returns the width of the window
return external_call(global._GET_WIN_WIDTH,argument0);
#define window_height
//window_height(hWnd) returns the width of the window
return external_call(global._GET_WIN_HEIGHT,argument0);
#define window_open_icon
//window_open_icon(hwnd)
// Restores and activates a minimized window
return external_call(global._OPEN_ICON,argument0);
#define window_find
//window_find(text) - Finds the handle of the window
//                    with the given caption.
return external_call(global._FIND_WINDOW,argument0);
#define window_get_at_point
//window_get_at_point(x,y) - Returns the handle of the window at
//                           the given X,Y screen coordinates.
return external_call(global._WINATPOINT,argument0,argument1);
#define window_get_child
//window_get_child(hWnd) - Returns the handle of the child window
//                         associated with hWnd.
return external_call(global._GET_CHILD,argument0);
#define window_get_owner
//window_get_owner(hWnd) - Returns the handle of the owner associated
//                         with hWnd.
return external_call(global._GET_OWNER,argument0);
#define window_get_root
//window_get_root(hWnd) - Returns the handle of the root window
//                         associated with hWnd.
return external_call(global._GET_ROOT,argument0);
#define window_get_root_owner
//window_get_root_owner(hWnd) - Returns the handle of the root owner associated
//                         with hWnd.
return external_call(global._GET_ROOTOWNER,argument0);
#define button_create
//button_create(x,y,width,height,text) - Creates a button with the given
//                                     properties and returns its handle.
var ret;
ret = external_call(global._CREATE_BUTTON,window_handle(),argument0,argument1,argument2,argument3);
external_call(global._SET_WINTEXT,ret,argument4);
return ret;
#define button_state
//button_state(button) - returns the state (pressed, normal, etc.) of the
//                       given button.
return external_call(global._GET_BUTTON,argument0)
#define message_box
//message_box(Text,Caption,(buttons,type,default)) - Shows a standard windows
//                              message box with the given attributes.
return external_call(global._MessageBox,window_handle(),argument0,argument1,argument2)
#define window_exists
//window_exists(hWnd) - If the window exists with the given handle,
//                      true is returned. Else false is returned.
return external_call(global._IF_EXISTS,argument0);
#define window_is_maximized
//window_is_maximized(hWnd) - If the window is maximized with the given handle,
//                      true is returned. Else false is returned.
return external_call(global._IS_MAXIMIZED,argument0);
#define window_is_minimized
//window_is_minimized(hWnd) - If the window is minimized with the given handle,
//                      true is returned. Else false is returned.
return external_call(global._IS_MINIMIZED,argument0);
#define window_is_visible
//window_is_visible(hWnd) - If the window is visible (not hidden) with the
//                         given handle, true is returned. Else false is
//                         returned.
return external_call(global._IS_VISIBLE,argument0);
#define window_is_focused
//window_is_focused(hWnd) - If the window is focused with the
//                         given handle, true is returned. Else false is
//                         returned.
return (external_call(global._GET_FOCUS)=argument0);
#define window_is_child
//window_is_child(Parent,hWnd) - If hWnd is a child of Parent ,true is
//                        returned. Else false is returned.
return external_call(global._IS_CHILD,argument0,argument1);
#define mouse_simulate_left
//mouse_simulate_left(hWnd) - Simulates a left mouse button press
//                           for hWnd.
return external_call(global._SIM_LEFT,argument0);
#define mouse_simulate_right
//mouse_simulate_right(hWnd) - Simulates a right mouse button press
//                           for hWnd.
return external_call(global._SIM_RIGHT,argument0);
#define mouse_set_cursor_pos
//mouse_set_cursor_pos(x,y) - Sets the cursor coordinates.
return external_call(global._SET_CUR_POS,argument0,argument1);
#define mouse_has_wheel
//mouse_has_wheel()
//Returns if the currently installed
//mouse has a middle wheel.
return external_call(global._HAS_MOUSEWHEEL);
#define menu_init
//menu_init(hwnd)
//Initiates the menu section of the DLL. For GM just use window_handle();
return external_call(global._INIT_MENUS,argument0);
#define menu_clean_up
//menu_clean_up();
// Removes all menus, menubars and items from memory, and detaches
// the menu bar from the window.
external_call(global._CLEANMENUS);
#define menu_destroy
//menu_destroy(men);
// Destroys the specified menu and frees its memory.
return external_call(global._DESTROY_MEN,argument0);
#define menu_remove
//menu_remove(men);
// Removes the specified menu from the main menu bar (only)
// and doesn't free its memory.
return external_call(global._REMOVE_MEN,argument0);
#define menu_destroy_bar
//menu_destroy_bar();
// Deletes the menu bar from the initiated window.
return external_call(global._DESTROY_MENBAR);
#define menu_remove_bar
//menu_remove_bar();
// Removes the menu bar from the initiated window.
return external_call(global._REMOVE_MENBAR);
#define menu_item_add
//menu_item_add(menu ID,text,hotkey text);
// This adds an item to the bottom of the given menu,
// with the specified text. To specify the hotkey put a "&" symbol before
//                            the letter that should be the hotkey.
//
//  example of hotkey text:
//    menu_item_add(menuMain,"Close","Alt+F4");
//  will return this on the menu
//    Close       Alt+F4
//
//  Hotkeys are a quick way to perform an action, without
//  actually clicking the item. Some keys don't work as hotkeys
//  though, so you may have to check the key presses manually.
//  Either way, any text can be displayed in the place of a hotkey
//
//  Example of something completely odd:
//    menu_item_add(menuMain,"Bananas","Are Good");
//  will return this on the menu
//    Bananas       Are Good
//
//  But "Are Good" isn't a key, so you will have to manually check
//  the action.
if(string(argument2) == string(0)) {
    return external_call(global._ADD_ITEM,argument0,argument1);
} else {
    return external_call(global._ADD_ITEM,argument0,argument1+chr(9)+argument2);
}
#define menu_item_add_bitmap
//menu_item_add_bitmap(menu ID,Bitmap ID);
// A new item is created, except it doesn't have text.
// instead the item is comprised entirely of a Bitmap Image.
// This is useful for eg. colored italicized fonts, backgrounds etc.
return external_call(global._BMP_NEW_FULL,argument0,argument1);
#define menu_item_custom_check
//menu_item_custom_check(menu ID,item ID,Normal Bitmap,Check Bitmap);
// Creates an item that,when checked, shows the Check Bitmap instead
// of the standard windows checkmark, and when not checked, it shows
// the first one.
return external_call(global._BMP_CHECKS_ITEM,argument0,argument1,argument2,argument3);
#define menu_item_delete
//menu_item_delete(men,item);
// Destroys the specified item and frees its memory.
return external_call(global._ITEM_DELETE,argument0,argument1);
#define menu_item_delete_all
//menu_item_delete_all(menu)
return external_call(global._DELETE_ALL,argument0);
#define menu_item_delete_last
//menu_item_delete(men);
// Destroys the specified item and frees its memory.
return external_call(global._DELETE_ITEM_LAST,argument0);
#define menu_item_get_default
//menu_item_get_default(menu ID);
// Returns the handle to the default
// item on the given menu.
return external_call(global._GET_DEFAULT,argument0);
#define menu_item_get_text
//menu_item_get_text(menu ID,item ID);
// Returns the text on the
// item on the given menu.
return external_call(global._GET_ITEM_TEXT,argument0,argument1);
#define menu_item_hilite
//menu_item_hilite(men,item,bool)
//Hilights or UnHighlights an item on the given menu.
return external_call(global._HILITE_ITEM,argument0,argument1,argument2);
#define menu_item_is_checked
//menu_item_is_checked(menu ID,item ID);
// Returns 1 if the item is checked and 0 if it isn't
return external_call(global._IS_CHECKED,argument0,argument1);
#define menu_item_is_disabled
//menu_item_is_disabled(menu ID,item ID);
// Returns 1 if the item is disabled and 0 if it isn't
return external_call(global._IS_DISABLED,argument0,argument1);
#define menu_item_remove
//menu_item_remove(menu ID, item ID);
// Deletes the item on the given menu.
return external_call(global._REMOVE_ITEM,argument0,argument1);
#define menu_item_remove_all
//menu_item_remove_all(menu)
return external_call(global._REMOVE_ALL,argument0);
#define menu_item_remove_bitmap
//menu_item_remove_bitmap(menu ID, item ID);
// Removes the bitmap(s) from the given item.
return external_call(global._REMOVE_BMP_FROM_ITEM,argument0,argument1);
#define menu_item_remove_bitmap_full
//menu_item_remove_bitmap_full(menu ID, item ID);
// Removes a full bitmap from the given item.
// The given item will then be COMPLETELY empty.
return external_call(global._REMOVE_BMP_FULL,argument0,argument1);
#define menu_item_remove_last
//menu_item_remove_last(men);
// Removes the last added item added to the given menu.
return external_call(global._REMOVE_ITEM_LAST,argument0);
#define menu_item_set_bitmap
//menu_item_set_bitmap(menu ID,item ID, Bitmap ID);
// Sets a 11x11 ir 13x13 bitmap (loaded be menu_load_bitmap) to and item.
return external_call(global._BMP_MEN_ITEM,argument0,argument1,argument2);
#define menu_item_set_bitmap_full
//menu_item_set_bitmap_full(menu ID,item ID,Bitmap ID);
// A already existing items text is removed and replaced
// with a bitmap. Works like menu_item_add_bitmap, except the
// item must already exist.
//
// To remove the bitmap from the item, use menu_item_set_text.
return external_call(global._BMP_EXISTS_FULL,argument0,argument1,argument2);
#define menu_item_set_checked
//menu_item_set_checked(menu ID,item ID, True or False);
// Checks or unchecks an item on the given menu.
return external_call(global._CHECK_ITEM,argument0,argument1,argument2);
#define menu_item_set_default
//menu_item_set_checked(menu ID,item ID);
// Sets the item on the given menu to default (displayed in bold).
// Only one item on a menu at a time can be default.
return external_call(global._SET_DEFAULT,argument0,argument1);
#define menu_item_set_enabled
//menu_item_set_enabled(menu ID,item ID, True or False);
// Enables or disables an item on the given menu.
return external_call(global._ENABLE_ITEM,argument0,argument1,argument2);
#define menu_item_set_radio_checked
//menu_item_set_radio_checked(menu ID,1st Item, Last Item, Item);
// Sets the given item, in a list between 1st and Last, to be
// radio selected. (An asterisk beside the item)
//
// All items between the 1st and Last item will be de-selected
// except for argument3.
return external_call(global._CHECK_RAD_ITEM,argument0,argument1,argument2,argument3);
#define menu_item_set_text
//menu_item_set_text(menu ID,item ID, text);
// Sets the text on the
// item on the given menu.
return external_call(global._SET_ITEM_TEXT,argument0,argument1,argument2);
#define menu_add_seperator
//menu_add_seperator(menu ID);
// Adds a seperator to the bottom of the given menu.
return external_call(global._ADD_SEPERATOR,argument0);
#define menu_create_menu
//menu_create_menu();
// Creates a dropdown menu and returns the ID.
//
// The ID will be used for other functions including menu_item_add();
return external_call(global._CREATE_MEN);
#define menu_create_menu_bar
//menu_create_menu_bar();
// Creates a menubar and returns its ID. The ID wll
// be used for attaching menus to it, and to attach
// the menu bar to the window.
return external_call(global._CREATE_MENBAR);
#define menu_attach_menu
//menu_attach_menu(Destination Menu, Source menu, Display Text);
//
//                           To specify the hotkey put a "&" symbol before
//                           the letter that should be the hotkey.
//
// This function is for either attaching a submenu to another
// menu, or to attach the item to the menu bar.
return external_call(global._ADD_MENU,argument0,argument1,argument2);
#define menu_attach_menu_bar
//menu_attach_menu_bar(MenuBar ID);
// Attaches the given menu bar to the window specified in menu_init();
//
// Remember, if the handle of the window changes (if you use
// window_set_stayontop() or a related function), the menu bar will
// no longer be attached and you will have to call menu_attach_menu_bar
// again.
return external_call(global._ATTACH_MENBAR,argument0);
#define menu_check
//menu_check();
// Checks if an item is pressed. If so, it returns the id of
// the item that was pressed.
return external_call(global._CHECK_MENUS);
#define menu_get_item_count
//menu_get_item_count(men)
// Returns the number of items on the menu.
return external_call(global._GET_ITEM_COUNT,argument0);
#define menu_load_bitmap
//menu_load_bitmap(Path of Bitmap);
// Loads a bitmap into memory and returns its ID.
return external_call(global._LOAD_BMP,argument0);
#define menu_show_popup
//menu_show_popup(Menu ID, X, Y, Horizontal Align, Vertical Align)
// Works like show_menu_pos except for the alignment,and
// the menu already has to be in the memory.
//      For Horizontal Align :
//                             1 = Left Align
//                             0 = Center Align
//                            -1 = Right Align
//
//      For Vertictal Align :
//                             1 = Top Align
//                             0 = Center Align
//                            -1 = Bottom Align
//
return external_call(global._POPUP_MEN,argument0,argument1,argument2,argument3,argument4);
#define menu_is_menu
//menu_is_menu(men)
// Returns if the handle is a menu or not
return external_call(global._IS_MENU,argument0);
#define menu_redraw
//menu_redraw()
// Redraws the window's menu bar.
return external_call(global._REDRAW_MENU);
#define menu_get_bar_height
//menu_get_bar_height();
// Returns the height of the menu bar, in pixels.
return external_call(global._GET_BAR_HEIGHT);
#define window_taskbar_flash
//window_taskbar_flash(hWnd,activate) - Flashes the taskbar button
//                      of the given window, and activates/deactivates it.
return external_call(global._TASKBAR_FLASH,argument0,argument1);
#define window_taskbar_hide
//window_taskbar_hide(hwnd)
// Hides the window(called during window_taskbar_init)'s taskbar button.
return external_call(global._TASKBAR_HIDE,argument0);
#define window_taskbar_show
//window_taskbar_show()
// Shows the window(called during window_taskbar_init)'s taskbar button.
return external_call(global._TASKBAR_SHOW);
#define window_taskbar_text_get
//window_taskbar_text_get() - Returns the taskbar text of the GM window.
var win;
win = external_call(global._GET_OWNER,window_handle());
return external_call(global._GET_WINTEXT,win);
#define window_taskbar_text_set
//window_taskbar_text_set(text) - Sets the taskbar text of the GM window.
var win;
win = external_call(global._GET_OWNER,window_handle());
return external_call(global._SET_WINTEXT,win,argument0);
#define system_beep
//system_beep(frequency,duration)
// Plays a MS-DOS style system beep
return external_call(global._SYS_BEEP,argument0,argument1);
#define window_tile_all
return external_call(global._TILE_WINDOWS,argument0);
